<?php

namespace app\Http\Models;

use Illuminate\Database\Eloquent\Model;

class ImunisasiHpk extends Model
{
    protected $table = 'imunisasi_hpk';
    protected $fillable = ['id_imunisasi_hpk','perkembangan_anak_id','nama_imunisasi','tgl_imunisasi','tgl_simpan_imunisasi','users_id'];
    protected $primaryKey = "id_imunisasi_hpk";
    public $timestamps = false;

    public function perkembangan(){
        return $this->belongsTo('App\Http\Models\PerkembanganAnak','perkembangan_anak_id');        
    }

    public function users(){
        return $this->belongsTo('App\Http\Models\Users','users_id');        
    }
}
